﻿

header .logo {
  width: 15em;
}

i.icon {
  margin-right: 0.5em;
}

/* -----------------------------
    Validation
   ----------------------------- */

label.field-validation-error::before {
  content: "» ";
  font-weight: bold;
  font-size: 18px !important;
  font-style: italic;
}

label.field-validation-error {
  color: #cc081c;
  font-size: 0.85rem;
  font-style: italic;
}

.FieldError {
  color: #cc081c;
}

.NonFieldError::before {
  content: none;
}

.NonFieldError {
  color: #cc081c;
}

.input-validation-error {
  border-color: #cc081c;
}

div#Loading {
  position: absolute;
  right: 15px;
  top: 22px;
  display: none;
}

h1, h2, h3 {
  font-weight: 400;
  letter-spacing: 3.3px;
  font-style: normal;
}

h2 {
  letter-spacing: 1px;
  font-size: 1.5rem;
}

  h2.text-uppercase {
    font-size: 2rem;
    letter-spacing: 3.3px;
  }

h3 {
  font-size: 1.5rem;
  letter-spacing: 2px;
}

h4 {
  font-weight: 400;
  line-height: 40px;
  letter-spacing: 1.3px;
  font-style: normal;
}

h4 {
  font-size: 1.2rem;
  letter-spacing: 1px;
}

label {
  font-weight: 400;
  letter-spacing: 0.96px;
  font-style: normal;
}

.Fehlertext {
  color: Red;
  font-style: italic;
}

.Warnung {
}

.WarnungCusErrors {
  color: Orange;
}

.FehlerCusErrors {
  color: Red;
}

@media (max-width: 428px) {
  #main-section {
    border: 0px !important;
  }
}

.valSumFields ul {
  margin-bottom: 0;
}

.WorkTimeEditDelete {
  text-align: center;
}

.edit-delete {
  margin-left: 0.3rem;
  margin-right: 0.3rem;
}

.ArbeitszeitHistory, .project-approval-projects, .vacationplan-approval-vacationplans {
}

  .ArbeitszeitHistory ul, .project-approval-projects ul, .vacationplan-approval-vacationplans ul {
    list-style-type: none;
    padding: 0;
    margin-bottom: 0 !important;
  }

    .ArbeitszeitHistory ul li, .project-approval-projects ul li, .vacationplan-approval-vacationplans ul li {
      border: 1px solid #ced4da;
      padding: 0.5rem;
      margin-bottom: 0.5rem;
      border-radius: 0.25rem !important;
    }

      .ArbeitszeitHistory ul li .date, .project-approval-projects ul li .date, .vacationplan-approval-vacationplans ul li .date {
        font-weight: 400;
        display: block;
      }

      .ArbeitszeitHistory ul li .headline, .project-approval-projects ul li .headline, .vacationplan-approval-vacationplans ul li .headline {
        display: block;
      }

      .ArbeitszeitHistory ul li.headline-day, .project-approval-projects ul li.headline-project, .vacationplan-approval-vacationplans ul li.headline-vacationplan {
        font-weight: bold;
        display: block;
      }

      .ArbeitszeitHistory ul li ul, .project-approval-projects ul li ul, .vacationplan-approval-vacationplans ul li ul {
        margin-top: 0.5rem;
      }


        .ArbeitszeitHistory ul li ul li, .project-approval-projects ul li ul li, .vacationplan-approval-vacationplans ul li ul li {
          font-weight: 400;
        }


      .ArbeitszeitHistory ul li .editDelete, .project-approval-projects ul li .editDelete, .vacationplan-approval-vacationplans ul li .editDelete {
        display: block;
        margin-top: 0.3rem;
      }



.radio-button-spacing tr td {
  padding-right: 1rem;
}

  .radio-button-spacing tr td input[type="radio"] {
    margin-right: 0.5rem;
  }


.form-label {
  display: inline-block;
  margin-top: 0.4rem;
}

.message-row {
  border-bottom: 1px solid #cccccc;
  padding-bottom: 0.8rem;
  margin-bottom: 0.5rem !important;
}

  .message-row:last-child {
    border-bottom: none;
    padding-bottom: 0;
    margin-bottom: 0 !important;
  }

.row-message-header {
  border-bottom: 1px solid #cccccc;
  padding-bottom: 0.5rem;
  margin-bottom: 1rem;
}


.tox.tox-tinymce {
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
}



/* ----------- Dropzone ---------- */
.dropzone {
  min-height: 150px;
  padding: 1rem;
  padding-top: 2.5rem;
  padding-bottom: 2rem;
  text-align: center;
  font-size: 1.2rem;
  font-weight: 300;
  cursor: pointer;
  margin-top: 1rem;
  border: 1px solid #dee2e6;
  transition: 0.5s;
}

  .dropzone.dropzone-container b {
    font-weight: 600;
  }

  .dropzone.dropzone-container:hover {
    border-color: #990002;
    color: #990002;
  }

  .dropzone.dropzone-container {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }

    .dropzone.dropzone-container .dz-message {
      flex-basis: 100%;
      margin-bottom: 10px;
    }

    .dropzone.dropzone-container .dz-preview {
      flex-basis: 10rem;
      width: 10rem;
      border: 1px solid #e7eaec;
      margin: 10px;
      padding: 10px;
      background-color: #ffffff;
      font-size: 1rem;
      position: relative;
      line-height: normal;
    }

      .dropzone.dropzone-container .dz-preview .dz-details {
        display: block;
        position: relative;
        top: auto;
        left: auto;
        opacity: 1;
        padding: 0;
      }

        .dropzone.dropzone-container .dz-preview .dz-details img {
          max-width: 100%;
          width: 100%;
          margin-bottom: 5px;
        }

      .dropzone.dropzone-container .dz-preview .dz-size {
        font-size: 0.7rem;
        margin-bottom: 5px;
      }

      .dropzone.dropzone-container .dz-preview .dz-details .dz-filename,
      .dropzone.dropzone-container .dz-preview .dz-details .dz-size {
        border: none;
        padding: 0;
        background-color: transparent;
        font-size: 0.8rem;
      }

        .dropzone.dropzone-container .dz-preview .dz-details .dz-filename:hover span {
          border: none;
          padding: 0;
        }

      .dropzone.dropzone-container .dz-preview .dz-success-mark {
        background-color: #ffffff;
        position: absolute;
        left: auto;
        right: -15px;
        top: 10px;
        border-radius: 50%;
        padding: 5px;
        border: 1px solid #002851;
        color: #002851;
        font-size: 1rem;
        width: 35px;
        height: 35px;
      }

      .dropzone.dropzone-container .dz-preview .dz-error-mark {
        background-color: #ffffff;
        position: absolute;
        left: auto;
        right: -15px;
        top: 10px;
        border-radius: 50%;
        padding: 5px;
        border: 1px solid #990002;
        color: #990002;
        font-size: 1rem;
        width: 35px;
        height: 35px;
      }

      .dropzone.dropzone-container .dz-preview .dz-error-message {
        line-height: normal;
        color: #ffffff;
        font-size: 0.7rem;
        left: 10px;
        right: 10px;
        width: auto;
        margin-top: 40px;
      }

      .dropzone.dropzone-container .dz-preview .dz-error {
        border-color: #990002;
        color: #ffffff;
      }

        .dropzone.dropzone-container .dz-preview.dz-success div.dz-error-mark,
        .dropzone.dropzone-container .dz-preview.dz-error div.dz-success-mark {
          display: none;
        }

.badge.badge-primary {
  background-color: #00B1FF;
}

.badge.badge-secondary {
  background-color: #002851;
}



/* ----------- Check ---------- */
.form-check input {
  float: left;
  margin-left: -1.5em;
  width: 1em;
  height: 1em;
  margin-top: 0.25em;
  vertical-align: top;
  background-color: #fff;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  border: 1px solid rgba(0, 0, 0, 0.25);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  -webkit-print-color-adjust: exact;
  color-adjust: exact;
}

  .form-check input:checked {
    background-color: #7b0002;
    border-color: #7b0002;
  }

  .form-check input[type=checkbox] {
    border-radius: 0.25em;
  }

    .form-check input[type=checkbox]:checked {
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
    }


/* Bootstrap Override */
p, div, h2, h3, h4, h5, h6,
table tr td, table tr th, table tr a,
.message-row .w-100 a.d-block,
.InfoBoxObenAbstandGross ul li a,
.ListeOhneBulletsAbstandGross ul li a {
  color: #262626;
}

  .message-row .w-100 a.d-block:hover,
  .InfoBoxObenAbstandGross ul li a:hover,
  .ListeOhneBulletsAbstandGross ul li a:hover {
    text-decoration: none
  }

a:hover, a:focus {
  color: #7b0002;
}

.btn-secondary {
  background: #595959;
  border-color: #595959;
}

  .btn-secondary:hover, .btn-secondary:focus {
    background: #262626;
    border-color: #262626;
  }

table.KalenderMonate {
  width: 2400px;
}

  table.KalenderMonate td {
    vertical-align: top;
    padding: 2px;
    width: 200px;
  }

    table.KalenderMonate td div.KalenderMonatHeadline {
      border: 1px solid #002A55;
      font-size: 16px;
      font-weight: bold;
      padding: 6px;
      padding-left: 8px;
      padding-right: 8px;
      background-color: #002A55;
      color: #FFFFFF;
      margin-bottom: 4px;
      letter-spacing: 1px;
    }

table.KalenderTage {
  width: 100%;
  border-collapse: collapse;
}

  table.KalenderTage td {
    border: 0px;
    padding: 4px;
    font-weight: normal;
  }

div.KalenderTag {
  border: 1px solid #9EB3BC;
  background-color: #F3F3F3;
}

div.KalenderTag,
div.CalendarNotEnoughHours,
div.KalenderTagFeiertag,
div.KalenderTagUrlaubstag,
div.KalenderTagUrlaubstagGeplant,
div.KalenderTagUrlaubstagBeantragt,
div.KalenderTagUrlaubstagGenehmigt,
div.KalenderTagUrlaubstagAbgelehnt,
div.KalenderTagFZA,
div.KalenderTagFZAGeplant,
div.KalenderTagFZABeantragt,
div.KalenderTagFZAGenehmigt,
div.KalenderTagFZAAbgelehnt {
  font-size: 11px;
  min-height: 14px;
  padding: 6px;
  margin-top: 4px;
  margin-bottom: 4px;
}

div.KalenderTagHover {
  background-color: #DFE4E7;
  border: 1px solid #7A9DAD;
}

div.KalenderTagOpen {
  background-color: #E9ECEE;
}

table.KalenderMonate td div.KalenderTag.CalendarNotEnoughHours {
  border-right: 3px solid #FF3333 !important;
}


div.KalenderTagFeiertag {
  border: 1px solid #8ac983;
  background-color: #dfedde;
}

div.KalenderTagFeiertagHover {
  background-color: #d0e4cd;
  border: 1px solid #79c171;
}

div.KalenderTagFeiertagOpen {
  background-color: #dfedde;
}


div.KalenderTagUrlaubstag {
  border: 1px solid #EBB31F;
  background-color: #F9E8BB;
}

div.KalenderTagUrlaubstagHover {
  background-color: #F5D98F;
  border: 1px solid #DAA415;
}

div.KalenderTagUrlaubstagOpen {
  background-color: #F7E1A5;
}


/*KalenderUrlaubstage mit verschiedenen Stati*/
div.KalenderTagUrlaubstagGeplant {
  border: 1px solid #A19F9F;
  background-color: #E4E4E4;
}

div.KalenderTagUrlaubstagGeplantHover {
  background-color: #D9D9D9;
  border: 1px solid #808080;
}

div.KalenderTagUrlaubstagGeplantOpen {
  background-color: #E4E4E4;
}

/*Beantragt*/
div.KalenderTagUrlaubstagBeantragt {
  border: 1px solid #8D8EA8;
  background-color: #E8E8ED;
}

div.KalenderTagUrlaubstagBeantragtHover {
  background-color: #DDDDE5;
  border: 1px solid #494A75;
}

div.KalenderTagUrlaubstagBeantragtOpen {
  background-color: #E8E8ED;
}

/*Genehmigt*/
div.KalenderTagUrlaubstagGenehmigt {
  border: 1px solid #4D9A44;
  background-color: #DBEBDA;
}

div.KalenderTagUrlaubstagGenehmigtHover {
  background-color: #C1DCBE;
  border: 1px solid #468F3D;
}

div.KalenderTagUrlaubstagGenehmigtOpen {
  background-color: #DBEBDA;
}


/*Abgelehnt*/
div.KalenderTagUrlaubstagAbgelehnt {
  border: 1px solid #FF7F7F;
  background-color: #FFD9D9;
}

div.KalenderTagUrlaubstagAbgelehntHover {
  background-color: #FFCCCC;
  border: 1px solid #FF3333;
}

div.KalenderTagUrlaubstagAbgelehntOpen {
  background-color: #FFD9D9;
}


div.KalenderTagFZA {
  border: 1px solid #EBB31F;
  background-color: #F9E8BB;
}

div.KalenderTagFZAHover {
  background-color: #F5D98F;
  border: 1px solid #DAA415;
}

div.KalenderTagFZAOpen {
  background-color: #F7E1A5;
}


/*KalenderFZAe mit verschiedenen Stati*/
div.KalenderTagFZAGeplant {
  border: 1px solid #A19F9F;
  background-color: #E4E4E4;
}

div.KalenderTagFZAGeplantHover {
  background-color: #D9D9D9;
  border: 1px solid #808080;
}

div.KalenderTagFZAGeplantOpen {
  background-color: #E4E4E4;
}

/*Beantragt*/
div.KalenderTagFZABeantragt {
  border: 1px solid #8D8EA8;
  background-color: #E8E8ED;
}

div.KalenderTagFZABeantragtHover {
  background-color: #DDDDE5;
  border: 1px solid #494A75;
}

div.KalenderTagFZABeantragtOpen {
  background-color: #E8E8ED;
}

/*Genehmigt*/
div.KalenderTagFZAGenehmigt {
  border: 1px solid #4D9A44;
  background-color: #DBEBDA;
}

div.KalenderTagFZAGenehmigtHover {
  background-color: #C1DCBE;
  border: 1px solid #468F3D;
}

div.KalenderTagFZAGenehmigtOpen {
  background-color: #DBEBDA;
}


/*Abgelehnt*/
div.KalenderTagFZAAbgelehnt {
  border: 1px solid #FF7F7F;
  background-color: #FFD9D9;
}

div.KalenderTagFZAAbgelehntHover {
  background-color: #FFCCCC;
  border: 1px solid #FF3333;
}

div.KalenderTagFZAAbgelehntOpen {
  background-color: #FFD9D9;
}


span.KalenderTagZahl {
  font-size: 16px;
  font-weight: bold;
  color: #595959;
  margin-right: 0px;
}

span.KalenderTagSunday {
  font-weight: bold;
  color: #4C7182;
}

span.KalenderTagToday {
  color: red !important;
}


span.KalenderTagWochenTag {
  font-size: 11px;
  color: #637F8C;
  margin-left: 3px;
}

span.KalenderTagText {
  font-size: 13px;
  color: #637F8C;
  margin-left: 3px;
}


div.Auswahl select {
  font-size: 11px;
}


div.DruckerIcon {
  position: absolute;
  right: 25px;
  top: 25px;
}

.btn-outline-secondary {
  border-color: #595959;
}

  .btn-outline-secondary:hover, .btn-outline-secondary:focus {
    background: #262626;
    border-color: #262626;
  }

.alert-light {
  background: radial-gradient(circle at -23% -25%, #ff9d00, #ff9d00);
  border-color: #ff9d00;
  margin-bottom: 1.5rem;
  color: #ffffff;
  font-size: 0.9rem;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  padding-bottom: 0;
}

  .alert-light > div {
    width: 100%;
    margin-bottom: 1rem;
  }

@media (min-width: 768px) {
  .alert-light > div {
    width: 50%;
    padding-right: 2rem;
  }
}

.alert-light ul {
  margin-bottom: 0;
}

  .alert-light ul li,
  .alert-light a, .alert-light a:link, .alert-light a:visited, .alert-light a:hover, .alert-light a:active {
    color: #262626;
    text-decoration: none;
  }

    .alert-light a:hover {
      text-decoration: underline;
    }

.TotalDurationForSelection {
  text-align: right;
}

.Notice {
  font-style: italic;
  display: block;
  margin-top: 10px;
  margin-bottom: 10px;
}

.ApprovalStateOpen {
  color: #00B1FF
}

.ApprovalStateApproved {
  color: #23903c
}


.ApprovalStateRejected {
  color: #e60000
}

.ApprovalStateRequested {
  color: #ff9d00
}

.ApprovalRemark {
  margin-top: 0.4rem;
}


.upload-extra-data-placeholder {
  margin-top: 50px;
}

  .upload-extra-data-placeholder .file-upload-item {
    margin-bottom: 10px;
    border: 1px solid #dee2e6;
    padding: 15px;
  }

    .upload-extra-data-placeholder .file-upload-item label {
      margin-bottom: 5px;
    }

    .upload-extra-data-placeholder .file-upload-item .filename {
      font-size: 0.8rem;
      line-height: 1.2rem;
      display: block;
    }
